/api/v1/chat-messages/export
POST
/api/v1/chat-messages/export
const url = 'https://api.endless.zaia.app/api/v1/chat-messages/export';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"rangeEnd":"2026-04-15T12:00:00Z","rangeStart":"2026-04-15T12:00:00Z","callbackUrl":"https://example.com","language":"enUs"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/chat-messages/export \ --header 'Content-Type: application/json' \ --data '{ "rangeEnd": "2026-04-15T12:00:00Z", "rangeStart": "2026-04-15T12:00:00Z", "callbackUrl": "https://example.com", "language": "enUs" }'Exports chat messages for a given period.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”Media typeapplication/json
object
rangeEnd
The end date of the export period. Defaults to current date.
string format: date-time
rangeStart
required
The start date of the export period.
string format: date-time
callbackUrl
required
A safe callback URL that must be HTTPS and point to a public server.
string format: uri
language
string
Responses
Seção intitulada “Responses”Export started. A POST will be made to callbackUrl when ready.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}The export period exceeds the maximum of 6 months.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}